<script type="text/javascript">
function confirm_reset() {
  var answer = confirm("All of your custom messages will also be reset.  Are you sure you want to reset all settings?");
  if(answer)
    return true;
  else
    return false;
}

jQuery(document).ready(function($){
  $("#wpgb_options_toggle_advanced").click(function(e){
    e.preventDefault();
    state = $(this).attr("state");
    if(state == "visible"){
      $("#wpgb_advanced_options").slideUp();
      $("#wpgb_options_reset").fadeOut();
      $(this).attr("state", "hidden");
      $(this).attr("value", "Show Advanced Options" + String.fromCharCode(187));
      $.ajax({
        type    : "POST",
        url     : "admin-ajax.php",
        data    : { action : "wpgb", _ajax_nonce: "<?php echo $this->get_nonce(); ?>", wpgb_action : "hide_advanced_options" },
        success : function(resp){
          // do nothing visually
        },
        error   : function(resp){
          alert("Error:" + resp);
        }
      });
    }
    else{
      $("#wpgb_advanced_options").slideDown();
      $("#wpgb_options_reset").fadeIn();
      $(this).attr("state", "visible");
      $(this).attr("value", "Hide Advanced Options" + String.fromCharCode(187));
      $.ajax({
        type    : "POST",
        url     : "admin-ajax.php",
        data    : { action : "wpgb", _ajax_nonce: "<?php echo $this->get_nonce(); ?>", wpgb_action : "show_advanced_options" },
        success : function(resp){
          // do nothing visually
        },
        error   : function(resp){
          alert("Error:" + resp);
        }
      });
    }
  });
});
</script>
<form method="post">
  <fieldset class="wpgb_fieldset wpgb_fieldset_alt">
<?php
    if ($show_link) {
      $show_link_check1 = 'checked';
      $show_link_check2 = '';
    }
    else {
      $show_link_check1 = '';
      $show_link_check2 = 'checked';
    }

    if ($allow_self_refer)
      $allow_self_refer_check = 'checked';
    else
      $allow_self_refer_check = '';

    if ($show_post)
      $show_post_check = 'checked';
    else
      $show_post_check = '';

    if ($show_page)
      $show_page_check = 'checked';
    else
      $show_page_check = '';

    if ($can_close)
      $can_close_check = 'checked';
    else
      $can_close_check = '';
      
    if ($show_related)
      $show_related_check = 'checked';
    else
      $show_related_check = '';
      
    if ($show_related_excerpt)
      $show_related_excerpt_check = 'checked';
    else
      $show_related_excerpt_check = '';
      
    if ($position == 'after') {
      $position_opt1 = '';
      $position_opt2 = 'selected';
    }
    else {
      $position_opt1 = 'selected';
      $position_opt2 = '';
    }

    if ($show_advanced_options) {
      $advanced_style = 'style="display:inline"';
      $advanced_toggle_text = 'Hide';
      $advanced_toggle_state = 'visible';
    }
    else {
      $advanced_style = 'style="display:none"';
      $advanced_toggle_text = 'Show';
      $advanced_toggle_state = 'hidden';
    }

    if ($enable_css)
      $enable_css_check = 'checked';
    else
      $enable_css_check = '';

    echo(
      '<h2>Support this plugin!</h2>'.
      '<p><label>'.
      '  Display "Powered by WP Greet Box" link at the bottom right corner of the greeting message &nbsp;'.
      '  <input name="wpgb_options_general[show_link]" value="on" type="radio" '.$show_link_check1.'/>'.
      '</label></p>'.
      '<p><label>'.
      '  Do not display "Powered by WP Greet Box" link.  I will <a href="https://www.paypal.com/cgi-bin/webscr?cmd=_xclick&business=thaya.kareeson@gmail.com&currency_code=USD&amount=&return=&item_name=Donate+a+cup+of+coffee+or+two+to+support+WP+Greet+Box+plugin.">donate</a> and/or write about this plugin &nbsp;'.
      '  <input name="wpgb_options_general[show_link]" value="off" type="radio" '.$show_link_check2.'/>'.
      '</label></p>'.
      '<h2>General Configurations</h2>'.
      '<p><label>'.
      '  Allow self referral to trigger greet box &nbsp;'.
      '  <input name="wpgb_options_general[allow_self_refer]" type="checkbox" '.$allow_self_refer_check.'/>'.
      '</label></p>'.
      '<p><label>'.
      '  Automatically show greeting message on posts &nbsp;'.
      '  <input name="wpgb_options_general[show_post]" type="checkbox" '.$show_post_check.'/> &nbsp;'.
      '  (uncheck for <a href="'.preg_replace('/&wpgb-page=[^&]*/', '', $_SERVER['REQUEST_URI']) . '&wpgb-page=documentation">manual insertion</a>)'.
      '</label></p>'.
      '<p><label>'.
      '  Automatically show greeting message on pages &nbsp;'.
      '  <input name="wpgb_options_general[show_page]" type="checkbox" '.$show_page_check.'/> &nbsp;'.
      '  (uncheck for <a href="'.preg_replace('/&wpgb-page=[^&]*/', '', $_SERVER['REQUEST_URI']) . '&wpgb-page=documentation">manual insertion</a>)'.
      '</label></p>'.
      '<p><label>Allow users to close the greeting message &nbsp;<input name="wpgb_options_general[can_close]" type="checkbox" '.$can_close_check.'/></label></p>'.
      '<p><label>Position greeting message &nbsp;'.
      '<select name="wpgb_options_general[position]">'.
      '  <option value="before" '.$position_opt1.'>before</option>'.
      '  <option value="after" '.$position_opt2.'>after</option>'.
      '</select>'.
      '&nbsp the post/page.</label></p>'.
      '<p><label>'.
      '  Detect keywords from search engines referrers and display related posts &nbsp;'.
      '  <input name="wpgb_options_general[show_related]" type="checkbox" '.$show_related_check.'/> &nbsp;'.
      '</label></p>'.
      '<p><label>'.
      '  Show post excerpt in related posts &nbsp;'.
      '  <input name="wpgb_options_general[show_related_excerpt]" type="checkbox" '.$show_related_excerpt_check.'/> &nbsp;'.
      '</label></p>'
    );
?>
    <div id="wpgb_advanced_options" <?php echo $advanced_style; ?>>
      <h2>Advanced Options</h2>
      <p>
        <label>Enable css/wp-greet-box.css <input name="wpgb_options_general[enable_css]" id="enable-css" type="checkbox" <?php echo $enable_css_check; ?> /> (uncheck to manually manage your own CSS)</label>
      </p>
      <p>
        <label>Limit related posts to <input name="wpgb_options_general[related_limit]" id="related-limit" type="text" class="wpgreetbox-focusable" size="5" value="<?php echo attribute_escape($related_limit); ?>"/> posts</label>
      </p>
      <p>
        <label>Limit related post excerpts to <input name="wpgb_options_general[related_excerpt_len]" id="related-excerpt-len" type="text" class="wpgreetbox-focusable" size="5" value="<?php echo attribute_escape($related_excerpt_len); ?>"/> words</label>
      </p>
      <p>
        <label>Your RSS feed URL. (replaces [[rss-link]] in greeting messages with this)<br/>
        <input name="wpgb_options_general[rss_link]" id="rss-url" type="text" class="wpgreetbox-focusable" size="60" value="<?php echo attribute_escape($rss_link); ?>"/></label>
      </p>
      <p>
        <label>Your "Subscribe via Email" URL. (replaces [[email-link]] in greeting messages this)<br/>
        <input name="wpgb_options_general[email_link]" id="email-url" type="text" class="wpgreetbox-focusable" size="60" value="<?php echo attribute_escape($email_link); ?>"/></label>
      </p>
      <p>
        <label>HTML code to display before the greeting box.<br/>
        <textarea name="wpgb_options_general[before_greet]" id="before-greet" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($before_greet); ?></textarea></label>
      </p>
      <p>
        <label>HTML code to display after the greeting box.<br/>
        <textarea name="wpgb_options_general[after_greet]" id="after-greet" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($after_greet); ?></textarea></label>
      </p>
      <p>
        <label>HTML code to display before the image in the greeting box.<br/>
        <textarea name="wpgb_options_general[before_icon]" id="before-icon" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($before_icon); ?></textarea></label>
      </p>
      <p>
        <label>HTML code to display after the image in the greeting box.<br/>
        <textarea name="wpgb_options_general[after_icon]" id="after-icon" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($after_icon); ?></textarea></label>
      </p>
      <p>
        <label>HTML code to display before the text in the greeting box.<br/>
        <textarea name="wpgb_options_general[before_text]" id="before-text" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($before_text); ?></textarea></label>
      </p>
      <p>
        <label>HTML code to display after the text in the greeting box.<br/>
        <textarea name="wpgb_options_general[after_text]" id="after-text" class="wpgreetbox-focusable widefat" rows="2"><?php echo attribute_escape($after_text); ?></textarea></label>
      </p>
    </div>
<?php if ( function_exists( 'wp_nonce_field' ) ) wp_nonce_field( 'wpgb' ); ?>
    <p class="submit">
    <input type="submit" name="wpgb_options_general_submit" value="Update Options &#187;" />
<?php
    if(isset($_GET['debug']) && $_GET['debug'] > 0) {
      echo ('<input type="submit" name="wpgb_options_upgrade" value="Upgrade Options &#187;"/>');
    }
?>
    <input type="submit" id="wpgb_options_reset" name="wpgb_options_reset" value="Reset ALL Options &#187;" onclick="return confirm_reset()" <?php echo $advanced_style ?>/>
    <input type="button" id="wpgb_options_toggle_advanced" name="wpgb_options_toggle_advanced" state="<?php echo $advanced_toggle_state; ?>" value="<?php echo $advanced_toggle_text; ?> Advanced Options &#187;"/>
  </p>
  </fieldset>
</form>
